# ej2-angular-notifications

![ej2-angular-notifications](https://ej2.syncfusion.com/products/images/notifications/readMe.gif)

> This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of Syncfusion's [EULA](https://www.syncfusion.com/eula/es/). To acquire a license, you can purchase one at [https://www.syncfusion.com/sales/products](https://www.syncfusion.com/sales/products) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials).

> A free [community license](https://www.syncfusion.com/products/communitylicense) is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

## Setup

To install Notification and its dependent packages, use the following command

```sh
npm install @syncfusion/ej2-angular-notifications
```

## Components included

Following list of components are available in the package

### Badges

Badges can be used to alert users about new or unread messages, notifications, and additional information to the content. This can be used in conjunction with lists to represent each list’s timeline such as ‘new’, ‘old’, and ‘preview’.

* [Getting Started](https://ej2.syncfusion.com/angular/documentation/badge/getting-started.html?utm_source=npm&utm_campaign=badge)
* [View Online Demos](https://ej2.syncfusion.com/angular/demos/?utm_source=npm&utm_campaign=badge#/material/badge/default)
* [Product Page](https://www.syncfusion.com/products/angular-ui-components/badge/?utm_source=npm&utm_campaign)

### Toasts

The toast is a small container, in which user can show a single or multiple informative lines with actions.

* [Getting Started](https://ej2.syncfusion.com/angular/documentation/toast/getting-started.html?utm_source=npm&utm_campaign=toast)
* [API References](https://ej2.syncfusion.com/angular/documentation/api/toast?utm_source=npm&utm_campaign=toast)
* [View Online Demos](https://ej2.syncfusion.com/angular/demos/?utm_source=npm&utm_campaign=toast#/material/toast/default)
* [Product Page](https://www.syncfusion.com/angular-ui-components/toast)

## Supported Frameworks

`Notification` component is also offered in following list of frameworks.

1. [JavaScript](https://github.com/syncfusion/ej2-javascript-ui-controls?utm_source=github&utm_medium=listing)
2. [React](https://github.com/syncfusion/ej2-react-ui-components?utm_source=github&utm_medium=listing)
3. [VueJS](https://github.com/syncfusion/ej2-vue-ui-components?utm_source=github&utm_medium=listing)
4. [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=github&utm_medium=listing)
5. [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=github&utm_medium=listing)
6. [JavaScript (ES5)](https://www.syncfusion.com/javascript-ui-controls?utm_source=github&utm_medium=listing)

## Key Features

### Badges

1. **Types** - Provided 8 different types of Badges.
2. **Predefined Colours** - Provided 8 predefined situational colours of Badges.
3. **Position** - Supports 3 different positions, such as `default`, `top` and `bottom`.

### Toasts

1. **Position** - Enables to position the toast anywhere on the screen. It has a predefined set of positions and custom inputs for position based on the target.
2. **Autohide and TimeOut** - Toast can be expired based on the timeOut property; it hides toast automatically when reaches specific time without user interaction.
3. **Multi Toast** - Toasts can support to display multiple toasts with various time delay.
4. **Progress Bar** - Supports to visually indicate time lapse when the toast expires.
5. **Action Buttons** - Supports to add buttons in the toast for archiving any actions within the toast.
5. **Template** - User customized element can be defined for the toast using the template property.

## Support

Product support is available for through following mediums.

* Creating incident in Syncfusion [Direct-trac](https://www.syncfusion.com/support/directtrac/incidents?utm_source=npm&utm_campaign=notification) support system or [Community forum](https://www.syncfusion.com/forums/essential-js2?utm_source=npm&utm_campaign=notification).
* New [GitHub issue](https://github.com/syncfusion/ej2-angular-ui-components/issues/new).
* Ask your query in [Stack Overflow](https://stackoverflow.com/?utm_source=npm&utm_campaign=notification) with tag `syncfusion` and `ej2`.

## License

Check the license detail [here](https://github.com/syncfusion/ej2-angular-ui-components/blob/master/license?utm_source=npm&utm_campaign=notification).

## Changelog

Check the changelog [here](https://github.com/syncfusion/ej2-angular-ui-components/blob/master/components/notifications/CHANGELOG.md?utm_source=npm&utm_campaign=notification)

© Copyright 2019 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.