import { ViewContainerRef } from '@angular/core';
import { ComplexBase, ArrayBase } from '@syncfusion/ej2-angular-base';
/**
 * 'e-button' directive represent a button of angular toast
 * It must be contained in a Toast component(`ejs-toast`).
 * ```html
 * <ejs-toast id='toast' showCloseIcon=true>
 *   <e-buttons>
 *    <e-button content='Ok' isPrimary=true></e-button>
 *    <e-button content='Cancel'></e-button>
 *   </e-buttons>
 * </ejs-toast>
 * ```
 */
export declare class ButtonModelPropDirective extends ComplexBase<ButtonModelPropDirective> {
    private viewContainerRef;
    directivePropList: any;
    /**
     * Specifies the Button component model properties to render the Toast action buttons.
     *
     * @default null
     */
    model: any;
    constructor(viewContainerRef: ViewContainerRef);
}
/**
 * ButtonModelProp Array Directive
 * @private
 */
export declare class ButtonModelPropsDirective extends ArrayBase<ButtonModelPropsDirective> {
    constructor();
}
